/*******************************************************************************
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.designer.bpmn.model;

import java.util.HashMap;
import java.util.Map;
import org.ow2.orchestra.designer.bpmn.model.operations.InterfaceModel;

/**
 * @author Guillaume Porcher
 */
public class PoolModel extends AbstractElementWithPosition {

  private final Map<String, InterfaceModel> interfaces = new HashMap<String, InterfaceModel>();

  private String wsdlPath;
  private String wsdlNamespace;

  public Map<String, InterfaceModel> getInterfaces() {
    return this.interfaces;
  }

  public String getWsdlPath() {
    return wsdlPath;
  }

  public void setWsdlPath(String wsdlPath) {
    this.wsdlPath = wsdlPath;
  }

  public String getWsdlNamespace() {
    return wsdlNamespace;
  }

  public void setWsdlNamespace(String wsdlNamespace) {
    this.wsdlNamespace = wsdlNamespace;
  }
}
